export = resolve;
/**
 * @type {Resolve}
 */
declare function resolve(cid: import("cids"), name: string, path: string, toResolve: string[], depth: number, ipld: import("..").IPLDResolver, options: import("..").ExporterOptions): Promise<ResolveResult>;
declare namespace resolve {
    export { IPLDResolver, ExporterOptions, UnixFSEntry, CID, NextResult, ResolveResult, Resolve, Resolver };
}
type ResolveResult = {
    entry: UnixFSEntry;
    next?: NextResult | undefined;
};
type IPLDResolver = {
    get: (cid: import("cids"), options?: any) => Promise<any>;
    put: (node: any, codec: number, options?: any) => Promise<import("cids")>;
};
type ExporterOptions = {
    offset?: number | undefined;
    length?: number | undefined;
};
type UnixFSEntry = import("..").UnixFSFile | import("..").UnixFSDirectory | import("..").ObjectNode | import("..").RawNode | import("..").IdentityNode;
type CID = import("cids");
type NextResult = {
    cid: CID;
    name: string;
    path: string;
    toResolve: string[];
};
type Resolve = (cid: CID, name: string, path: string, toResolve: string[], depth: number, ipld: IPLDResolver, options: ExporterOptions) => Promise<ResolveResult>;
type Resolver = (cid: CID, name: string, path: string, toResolve: string[], resolve: Resolve, depth: number, ipld: IPLDResolver, options: ExporterOptions) => Promise<ResolveResult>;
//# sourceMappingURL=index.d.ts.map