export = hamtShardedDirectoryContent;
/**
 * @typedef {import('../../../').ExporterOptions} ExporterOptions
 * @typedef {import('ipld-dag-pb').DAGNode} DAGNode
 * @typedef {import('../../').Resolve} Resolve
 * @typedef {import('../../../').IPLDResolver} IPLDResolver
 * @typedef {import('../').UnixfsV1DirectoryContent} UnixfsV1DirectoryContent
 *
 * @type {import('../').UnixfsV1Resolver}
 */
declare const hamtShardedDirectoryContent: import('../').UnixfsV1Resolver;
declare namespace hamtShardedDirectoryContent {
    export { ExporterOptions, DAGNode, Resolve, IPLDResolver, UnixfsV1DirectoryContent };
}
type ExporterOptions = {
    offset?: number | undefined;
    length?: number | undefined;
};
type DAGNode = import("ipld-dag-pb/src/dag-node/dagNode");
type Resolve = (cid: import("cids"), name: string, path: string, toResolve: string[], depth: number, ipld: import("../../..").IPLDResolver, options: import("../../..").ExporterOptions) => Promise<import("../..").ResolveResult>;
type IPLDResolver = {
    get: (cid: import("cids"), options?: any) => Promise<any>;
    put: (node: any, codec: number, options?: any) => Promise<import("cids")>;
};
type UnixfsV1DirectoryContent = AsyncIterable<import("../../..").UnixFSEntry> | Iterable<import("../../..").UnixFSEntry>;
//# sourceMappingURL=hamt-sharded-directory.d.ts.map