export = findShardCid;
/**
 * @typedef {object} ShardTraversalContext
 * @property {number} hamtDepth
 * @property {Bucket<boolean>} rootBucket
 * @property {Bucket<boolean>} lastBucket
 *
 * @param {import('ipld-dag-pb').DAGNode} node
 * @param {string} name
 * @param {IPLDResolver} ipld
 * @param {ShardTraversalContext} [context]
 * @param {ExporterOptions} [options]
 * @returns {Promise<CID|null>}
 */
declare function findShardCid(node: import('ipld-dag-pb').DAGNode, name: string, ipld: IPLDResolver, context?: ShardTraversalContext | undefined, options?: import("..").ExporterOptions | undefined): Promise<CID | null>;
declare namespace findShardCid {
    export { ExporterOptions, IPLDResolver, CID, ShardTraversalContext };
}
type IPLDResolver = {
    get: (cid: import("cids"), options?: any) => Promise<any>;
    put: (node: any, codec: number, options?: any) => Promise<import("cids")>;
};
type ShardTraversalContext = {
    hamtDepth: number;
    rootBucket: Bucket<boolean>;
    lastBucket: Bucket<boolean>;
};
type CID = import("cids");
type ExporterOptions = {
    offset?: number | undefined;
    length?: number | undefined;
};
import { Bucket } from "hamt-sharding";
//# sourceMappingURL=find-cid-in-shard.d.ts.map